<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_enum_member.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">erpcgen::EnumMember Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classerpcgen_1_1_enum_member.html">erpcgen::EnumMember</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a828866509c0ee041aaf7e31ab18cf2da">addAnnotation</a>(const Annotation &amp;a)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html#ad76e73550d53b86b084a69af269246d5">EnumMember</a>(const Token &amp;tok, uint32_t value)</td><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html">erpcgen::EnumMember</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html#a46367ce1e2657b385371b993215bb83b">EnumMember</a>(const Token &amp;tok)</td><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html">erpcgen::EnumMember</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a674a1dff60207fa512a2a2b7b7146c3b">findAnnotation</a>(std::string name)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a8ac0fa46b91ae20ff49c62cfab29a810">getAnnotations</a>(std::string name)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html#a72f031925bbc83f049e07fd04bd16abe">getDescription</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html">erpcgen::EnumMember</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a927c69a16cbb47ca6c8d5b4f8a213887">getFirstLine</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#acec60e332ab5bf223e8c5d92f9a732f0">getIlComment</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a00bb74bbfea291f784e65484bf54664b">getLastLine</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a44f21abf207fcdda09415d1eaa32f348">getLocation</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a85fc3b86b1d1935f3017f8d5db3a2111">getMlComment</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a84c290b9cf7672b0f94aea9ff27acf1f">getName</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#acc2311d1d0acf78dc31a86c7959ce34e">getSymbolType</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html#a52c61d8869f285868244250bf00e0a7e">getValue</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html">erpcgen::EnumMember</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html#a2977bf7eda86ffed7112473e087b3e01">hasValue</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html">erpcgen::EnumMember</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#afbb57b6bf584ed7c07e86f5316fa4051">isBuiltin</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kAliasTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kArrayTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kBuiltinTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kConstSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kEnumMemberSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kEnumTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kFunctionSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kInterfaceSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kListTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kProgramSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kStructMemberSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kStructTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kTypenameSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kUnionCaseTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kUnionTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a838f7ea24ae2e3ce3b433e7cf9e412ef">m_annotations</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a7b5379e1abc8720a74777fcc324d50cd">m_ilComment</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#aa7a023da7b592e5a249229fb48991b8d">m_location</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#aade834e1514a288e91507301a19001c3">m_mlComment</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a44f5d0a78d9057c134a9eba696153cda">m_name</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#aeeb41dba8237bddee39709f3d3ccd0ba">m_symbolType</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html#ad07ccca78ae5da696345920e3e7274b6">m_value</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html">erpcgen::EnumMember</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#aa3f9fe166df63e096228de582e87248b">printAnnotations</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a9cf5481c123404b46a6574135ff6631e">setIlComment</a>(std::string comment)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a3b4712d9a59eee5c377b235d995ec776">setLocation</a>(const token_loc_t &amp;loc)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#adfff1c0850b243effae7c8c9911f2f53">setMlComment</a>(std::string comment)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#af3a2dbfad1b23fbdfa3ef6e3812ad357">setName</a>(const std::string &amp;newName)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html#a5a37dd2b599437cbfaee49f2ad0a1ffd">setValue</a>(IntegerValue value)</td><td class="entry"><a class="el" href="classerpcgen_1_1_enum_member.html">erpcgen::EnumMember</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a7d6a966d4c2d00f4e7e40c30796be532">Symbol</a>(symbol_type_t symType)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#ac969b4105dddf248d163cdb10385efe1">Symbol</a>(symbol_type_t symType, const std::string &amp;name)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a3274ccd412cc221e15976cc93c71b95d">Symbol</a>(symbol_type_t symType, const Token &amp;tok)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> enum name</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a9a32f65a99da47b8a281926bc3770880">~Symbol</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
